<div class="layout-block">
    <div class="search-form eight-column">
            <div class="panel">
                    <div class="panel-body">
        <form class="clearfix" id="form-filter" *ngIf="searchForm" [formGroup]="searchForm" (ngSubmit)="search()">
            <div class="form-group">
                <label>Tài khoản</label>
                <input type="text" class="form-control" formControlName="code" tabindex="1" />
            </div>
            <div class="form-group">
                <label>Họ và Tên</label>
                <input type="text" class="form-control" formControlName="full_name" tabindex="1" />
            </div>
            <div class="form-group">
                <label>Số điện thoại</label>
                <input type="text" class="form-control" formControlName="phone" tabindex="3" />
            </div>
            <div class="form-group">
                <label>Phòng ban</label>
                <select formControlName="department_id" class="form-control">
                    <option selected="" value="">Vui lòng chọn phòng ban</option>
                    <option *ngFor="let item of ListDept" value="{{item.id}}">{{item.name}}</option>
                </select>
            </div>
            <div class="form-group">
                <label>Status</label>
                <select formControlName="is_active" class="form-control">
                    <option class="no-value" value>Tất cả</option>
                    <option value="1">Hoạt động</option>
                    <option value="2">Khóa</option>
                </select>
            </div>


            <div class="btn-toolbar pull-left margin-top23">
                <button type="button" class="btn btn-outline gray" (click)="reset()" tabindex="4">
                    <i class="icon-close"></i>Làm Trống
                </button>
                <button type="submit" class="btn btn-outline blue" tabindex="3">
                    <i class="icon-magnifier"></i>Tìm Kiếm
                </button>
            </div>
        </form>
    </div>
</div>
</div>
</div>

<div class="clearfix"></div>
<div class="area-block clearfix">
    <div class="panel">
        <div class="panel-body">
            <div class="filter clearfix table-list-head">
                <div class="form-inline pull-left">
                    <label>Hiển Thị:</label>
                    <select [(ngModel)]="perPage" (change)="onPageSizeChanged($event)" class="form-control"
                        tabindex="20">
                        <option value="20" selected>20</option>
                        <option value="30">30</option>
                        <option value="40">40</option>
                        <option value="50">50</option>
                    </select>
                </div>
                <div class="pull-right">
                    <a *ngIf="userPermission['CREATE-USER']" class="btn btn-primary" tabindex="9" routerLink="new"><i class="icon-plus"></i>Tạo Mới</a>
                </div>

            </div>
            <div class="table-style2 clearfix table-responsive">
                <table id="datatable-responsive" class="table table-striped table-bordered responsive no-wrap"
                    cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th><input type="checkbox"></th>
                            <th>Trạng thái<i class="fa fa-fw fa-sort"></i></th>
                            <th>Tài khoản<i class="fa fa-fw fa-sort"></i></th>
                            <th>Họ và Tên<i class="fa fa-fw fa-sort"></i></th>
                            <th>Email<i class="fa fa-fw fa-sort"></i></th>
                            <th>Số điện thoại<i class="fa fa-fw fa-sort"></i></th>
                            <th>Phòng ban<i class="fa fa-fw fa-sort"></i></th>
                            <th><i class="fa fa-fw fa-sort"></i></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of dataList">
                            <td><input type="checkbox"></td>
                            <td>{{item.is_active == 1 ? 'ACTIVE' : 'INACTIVE'}}</td>
                            <td><a [routerLink]="item.id">{{item.code}}</a></td>
                            <td>{{item.full_name}}</td>
                            <td>{{item.email}}</td>
                            <td>{{item.phone}}</td>
                            <td>{{item.department_name}}</td>
                            <td class="action-col">
                                <a *ngIf="userPermission['UPDATE-USER']" class="btn btn-default" [routerLink]="item.id + '/edit'" title="Edit">
                                    <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <p *ngIf="dataList.length==0">Chưa có dữ liệu</p>
            </div>
            <div class="list-bottom">
                <div class="pull-right">
                    <wms-pagination [perPage]="perPage" (pageChange)="pageChange($event)" [pagingData]="pagination">
                    </wms-pagination>
                </div>
            </div>
        </div>
    </div>
</div>